Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class DynamicImplementation

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.PortableServer.DynamicImplementation

public abstract class DynamicImplementation
extends Servant

Allows dynamic handling of object invocations. POA-based DSI servants inherit from the standard `DynamicImplementation` class, this class inherits from the `Servant` class. Based on IDL to Java spec. CORBA V 2.3.1 ptc/00-01-08.pdf.

Constructor Summary
`DynamicImplementation()`

Method Summary
`abstract void` | `invoke(ServerRequest request)` Receives requests issued to any CORBA object incarnated by the DSI servant and performs the processing necessary to execute the request.

Methods inherited from class org.omg.PortableServer.Servant
`_all_interfaces, _default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicImplementation

    public DynamicImplementation()

Method Detail

### invoke

    public abstract void invoke(ServerRequest request)

  Receives requests issued to any CORBA object incarnated by the DSI servant and performs the processing necessary to execute the request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.